# invoke rewrite engine
RewriteEngine On
RewriteBase /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/

Options -Indexes
<IfModule mod_negotiation.c>
	Options -MultiViews
</IfModule>

# Specific redirections
RewriteRule ^index\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/ [L,R=301]
RewriteCond %{QUERY_STRING} ^page=1$
RewriteRule ^news$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/news_page-1 [L,R=301,QSD]
RewriteRule ^news/In\sthe\sNews$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/news/IntheNews [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^page=2$
RewriteRule ^news$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/news_page-2 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^page=1$
RewriteRule ^news/Events$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/news/Events_page-1 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^page=1$
RewriteRule ^news/In\sthe\sNews$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/news/IntheNews_page-1 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^path=node/261$
RewriteRule ^forward$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/forward_path-node_261 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^path=node/258$
RewriteRule ^forward$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/forward_path-node_258 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^path=node/254$
RewriteRule ^forward$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/forward_path-node_254 [L,R=301,QSD]
RewriteRule ^08-09\sCybrary\sWebpages/Cybrary\sK-4\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/08-09CybraryWebpages/CybraryK-4 [L,R=301,QSD]
RewriteRule ^08-09\sCybrary\sWebpages/Cybrary\sMain\sPage\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/08-09CybraryWebpages/CybraryMainPage [L,R=301,QSD]
RewriteRule ^08-09\sCybrary\sWebpages/Cybrary\sMiddle\sSchool\s5-8\sPage\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/08-09CybraryWebpages/CybraryMiddleSchool5-8Page [L,R=301,QSD]
RewriteRule ^1st_2nd\sgraders\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/1st_2ndgraders [L,R=301,QSD]
RewriteRule ^7th_8th\sgraders\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/7th_8thgraders [L,R=301,QSD]
RewriteRule ^Ansayweb/Ansay\sWeb\sPage\s%2806%29\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/Ansayweb/AnsayWebPage(06) [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^tribe-bar-date=2024-09-10$
RewriteRule ^calendar/list$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/calendar/list/tribe-bar-date-2024-09-10 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^tribe-bar-date=2024-11-26$
RewriteRule ^calendar/list$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/calendar/list/tribe-bar-date-2024-11-26 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^tribe-bar-date=2024-11-29$
RewriteRule ^calendar/list$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/calendar/list/tribe-bar-date-2024-11-29 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^tribe-bar-date=2025-02-13$
RewriteRule ^calendar/list$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/calendar/list/tribe-bar-date-2025-02-13 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^tribe-bar-date=2025-02-14$
RewriteRule ^calendar/list$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/calendar/list/tribe-bar-date-2025-02-14 [L,R=301,QSD]
RewriteRule ^code\sof\sconduct\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/codeofconduct [L,R=301,QSD]
RewriteRule ^Cyberschool\sStaff\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/CyberschoolStaff [L,R=301,QSD]
RewriteRule ^cybraryweb/Ready\sRef\s-\sPt2\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/cybraryweb/ReadyRef-Pt2 [L,R=301,QSD]
RewriteRule ^cybraryweb/teachers\sresources\s-pt3web\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/cybraryweb/teachersresources-pt3web [L,R=301,QSD]
RewriteRule ^cybraryweb/web-page\sPt\s-\s5\sengines\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/cybraryweb/web-pagePt-5engines [L,R=301,QSD]
RewriteRule ^cybraryweb/web-page\sPt-\s4\sency\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/cybraryweb/web-pagePt-4ency [L,R=301,QSD]
RewriteRule ^cybraryweb/web-page\sPt-6\snews\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/cybraryweb/web-pagePt-6news [L,R=301,QSD]
RewriteRule ^employment\sopportunities\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/employmentopportunities [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^path=node/176$
RewriteRule ^forward$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/forward_path-node_176 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^path=node/252$
RewriteRule ^forward$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/forward_path-node_252 [L,R=301,QSD]
RewriteCond %{QUERY_STRING} ^path=node/253$
RewriteRule ^forward$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/forward_path-node_253 [L,R=301,QSD]
RewriteRule ^mission\sand\svision\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/missionandvision [L,R=301,QSD]
RewriteRule ^parent\sinformation\sfolder/bullyindex\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/parentinformationfolder/bullyindex [L,R=301,QSD]
RewriteRule ^parent\sinformation\sfolder/c3lp\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/parentinformationfolder/c3lp [L,R=301,QSD]
RewriteRule ^parent\sinformation\.htm$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/parentinformation [L,R=301,QSD]
RewriteRule ^Parent\sInformation\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/ParentInformation [L,R=301,QSD]
RewriteRule ^rossweb/book\sprojects\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/rossweb/bookprojects [L,R=301,QSD]
RewriteRule ^rossweb/Watson's\.html$ /scraping/files/live/cyberschool-milwaukee.org_evaghozali175_gmail.com_gehwnh27lm/rossweb/Watson-s [L,R=301,QSD]

# Create pretty URLs
DirectorySlash Off

RewriteCond %{THE_REQUEST} /([^.]+)\.html [NC]
RewriteRule ^ %1 [NC,L,R=301]

RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_URI} (.*)/$
RewriteRule ^(.*)/$ $1 [NC,L,R=301]

RewriteCond %{REQUEST_FILENAME}.html -f
RewriteRule ^ %{REQUEST_URI}.html [NC,L]
# End: Create pretty URLs

# Redirect all extensions to html
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.shtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.phtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.jhtml$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.htm$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.php$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.aspx$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.asp$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.jsp$ $1.html [L,NC,R=301]
RewriteCond %{QUERY_STRING} ^$
RewriteRule ^(.*)\.apk$ $1.html [L,NC,R=301]
# End: Redirect all extensions to html
